#!/bin/sh

hostname road.uml.freeswan.org

ifconfig eth0 inet 192.1.3.209
route delete -net default 
route add -net default gw 192.1.3.254

netstat -rn

named
sleep 2
(echo "txt 12334 road.uml.freeswan.org."; echo quit) | ipsec lwdnsq -X

mkdir -p /tmp/myid-road-01
cp /testing/pluto/myid-road-01/road.conf /tmp/myid-road-01/ipsec.conf
cp /etc/ipsec.secrets                    /tmp/myid-road-01

mkdir -p /tmp/myid-road-01/ipsec.d/policies
cp /etc/ipsec.d/policies/* /tmp/myid-road-01/ipsec.d/policies
: make sure that target is in policy private!
echo 192.0.2.2/32	>>/tmp/myid-road-01/ipsec.d/policies/private

IPSEC_CONFS=/tmp/myid-road-01 export IPSEC_CONFS

ipsec setup start

/testing/pluto/oe-road-01/policy-wait.sh

echo done


